Skip to main content
GET
/
api
/
v1
/
widget-settings
/
{id}
Get Widget Settings
curl --request GET \
  --url https://api.ravan.ai/api/v1/widget-settings/{id}/ \
  --header 'X-Api-Key: <api-key>'
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "id": "id_123",
    "bot_name": "Support Bot",
    "bot_auto_start": true,
    "bot_position": "BOT_POSITION_BOTTOM_RIGHT",
    "bot_logo": "https://example.com/logo.png",
    "svg_logo": "https://example.com/logo.png",
    "custom_form_fields": {},
    "theme": {},
    "language": "en",
    "consent_content": "example",
    "consent_title": "example",
    "is_active": true,
    "created_at": "2026-03-14T12:00:00Z",
    "updated_at": "2026-03-14T12:00:00Z"
  }
}

Authorizations

X-Api-Key
string
required
Your Agni API key. Find it in your RavanAi.

Path Parameters

id
string
required
Widget Settings ID

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object
Returned data.
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "id": "id_123",
    "bot_name": "Support Bot",
    "bot_auto_start": true,
    "bot_position": "BOT_POSITION_BOTTOM_RIGHT",
    "bot_logo": "https://example.com/logo.png",
    "svg_logo": "https://example.com/logo.png",
    "custom_form_fields": {},
    "theme": {},
    "language": "en",
    "consent_content": "example",
    "consent_title": "example",
    "is_active": true,
    "created_at": "2026-03-14T12:00:00Z",
    "updated_at": "2026-03-14T12:00:00Z"
  }
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
string
required

Widget Settings ID

Response

200 - application/json

Successful response

success
boolean
message
string
data
object